Class | XSD::CodeGen::MethodDef
In: | xsd/codegen/methoddef.rb
Parent: | Object

### Methods

dump new

### Included Modules

GenSupport CommentDef

### Attributes

definition | [RW] |

### Public Class methods

new(name, *params) {|if block_given?| ...}

[Source]

    # File xsd/codegen/methoddef.rb, line 23
      def initialize(name, *params)
        unless safemethodname?(name)
          raise ArgumentError.new("name '#{name}' seems to be unsafe")
        end
        @name = name
        @params = params
        @comment = nil
        @definition = yield if block_given?
      end

### Public Instance methods

dump()

[Source]

    # File xsd/codegen/methoddef.rb, line 33
      def dump
        buf = ""
        buf << dump_comment if @comment
        buf << dump_method_def
        buf << dump_definition if @definition and !@definition.empty?
        buf << dump_method_def_end
        buf
      end

[Validate]